# Desertification
Adds an "infectious" desert to your world. I had this idea for quite a while (before the infection mod trend) and finally did it. I took desertification as an inspiration (if the name wasn't clear enough).

The desert can also partially **cleanse** some infections. I made this feature compatible with [Spores](https://modrinth.com/mod/fungal-infectionspore) and [Sculk Horde](https://modrinth.com/mod/sculk-horde) among others
*This is also the first mod that I publish*. Please also note that it is just a personal project of mine, nothing too big.

While being pretty stable, this mod is currently in **Beta**; do not use it on worlds you value without *backups*.

**The spread will not occur automatically (can be configured)**; you can either start it by breaking the hourglass structure found in the desert or by giving yourself a Desert Sand block from your creative inventory and placing it.

I made the mod so, contrary to most infection mods, you can *live* and thrive in the desert if you want (with some precautions, of course)

![A desert at sunrise](https://cdn.modrinth.com/data/lPDDc5bC/images/423a48a05cf6db36238e74e0fa2f5e98bc0fa38f.png "A desert at sunrise")


## About the (Neo)Forge version

<details>
<summary>Click to expand</summary>

The (Neo)Forge version in 1.20.1 use [Sinytra Connector](https://modrinth.com/mod/connector) to run the fabric version on Forge. The mod *may*, in theory be a little more buggy because I did not specifically develop it for 1.20.1 (but in practice **I haven't found any problems specific to this version** as of now). It is currently (Sep 2024) the only version of my mod that can interact with other infection mods, but it will change in the future as mods upgrade to 1.20.4/1.21

You may need to install/update [Fabric Language Kotlin](https://modrinth.com/mod/fabric-language-kotlin) manually, as some launchers may not do it for you.
</details>



# ℹ️ Features and blocks
This list may not be completely exhaustive. Some behavior can be configured from the mod's config screen

<details>
<summary>Click to expand</summary>

**Oasis**: created by having water on top of 2 clay blocks, prevents blocks next them from drying, needs to be at least 4 blocks

**Cleansing**: as said above, this mod can partially cleanse other mod's infections

***

**Desert flowers**: spawn when it rains and bloom afterward, used in recipes

**Jujubier**: spiky tree that makes jujube , which can be made into cakes

**Desert sand**: mod's main block, propagate the desert, spawn plants and wind gust. Convert zombies to husks

**Sand remains**: blocks that appear on some solid blocks near desert sand

**Dead log**: created when the desert kills a tree, spreads to nearby logs, and slowly decays

**Weathered sandstone**: kinda inspired by NieR Automata's desert zone, generate when desert sand is on granite, prevent sand accumulation on it

**Sandy diamond block**: place desert sand around when broken, found in hourglasses

***

**Fishhook barrel cactus** : can slow you down while making you take damage (it works on mobs too). Make fruits

**Other plants**: mainly used for dyes or ambiance

***

**Spear of sands** : a weapon that can summon a damaging wind gust when an enemy is killed

**Wand of grass** : uses saplings to remove the desert, can also give undead/infected wither

**Wind gust** : gust of winds that can push entities around and place sand (normal sand), can sometimes break some not-full blocks when it stops on them (configurable, does not break chests)



</details>

# Tips

To protect yourself from the harsh temperatures and sands, you will probably need boots (any type will do).

To prevent the desert from advancing, you can either : build a base in a protected biome (jungle, tundra, ...) where the presence of trees will stop the desert, or make a barrier of terracotta/cobblestone that replaces sand, dirt-like and water. You can also build your base IN the desert (a little above ground). Finally, please note that the dry dirt has a limited spread range from the sand, it alone cannot infect a wide zone and will eventually stop without  the desert sand.

Desert flowers spawn when it rains and bloom afterward


![Barrel cactus](https://cdn.modrinth.com/data/lPDDc5bC/images/0743586a5108d58768ef6e934b4f0b29fd15faa5.webp)



# Details

I have published this mod on Curseforge too, but this will remain the main page. I will probably port the mod to 1.21 given the time.

The spread is limited to an 8-chunk circular radius for any player, it is a block random tick limitation of Minecraft. The wind gusts that appear in the desert tries to random tick blocks that are under them, it helps, but not by much.

*You cannot revert a zone exactly 1:1*. To revert a zone, you will need to use a wand of grass on the desert sand and have some saplings with you (take note that the item has a cooldown)




## Permissions
- You can create videos/content using my mod
- You can integrate my mod into your Modpack (but beware that the mod is still in Beta)
- You should give a link back to this page

## Credits and more
- Most screenshots use the excellent Lucidium resource pack (which also makes leaves go brown when no longer attached) and (sometimes) the VanillaPlus or Rethinking Voxels shaders.
- All the mod's custom textures are made by me using Krita (except the sand remains and the sandy diamond block).
- Thanks also to the Sinytra Connector Team for their mod that allows fabric mods to run on (Neo)forge
- Fabric Language Kotlin